<?php
if($_GET['traza']=='si') {
		echo '<p>Producto error: '.$producto['Error'].'</p>';
		echo '<p>pedirEanDun: '.$pedirEanDun.'</p>';
		echo '<p>hayTrabajadores: '.$hayTrabajadores.'</p>';
		echo '<p>fichajesIniciados: '.$fichajesIniciados.'</p>';
		echo '<p>estoyYoAsociado: '.$estoyYoAsociado.'</p>';
		echo '<p>pantallaFotos: '.$estoyYoAsociado.'</p>';
		echo '<p>Estado orden: '.$_SESSION['entrada']['Estado'].'</p>';
}	
?>

<div id="menuOrdenPreparacion" style="z-index:20000">
	
    <?php
	$play=true;
	if( $producto['Error'] ) $play=false;
	if( $pedirEanDun ) $play=false; //Todavía no se conoce el producto, hay que buscarlo por EAN
	if( $fichajeEntradas && (!$hayTrabajadores || $fichajesIniciados) ) $play=false; //Si está habilitado el tema fichajes y o no hay trabjadores o alguno tiene fichaje en marcha
    if( $fichajeEntradas && !$estoyYoAsociado ) $play=false;
	if( $pantallaFotos && $_SESSION['entrada']['Estado']!='Iniciada') $play=false;
	if( isset($gestionMultiOperario) && $gestionMultiOperario && is_array($multiOperario_operarios) && count($multiOperario_operarios)>0 && isset($multiOperario_estoy_yo) && !$multiOperario_estoy_yo ) $play=false;
	
	//echo '<p>gestionMultiOperario: '.$gestionMultiOperario.'</p>';
	//echo '<p>multiOperario_operarios count: '.count($multiOperario_operarios).'</p>';
	//echo '<p>multiOperario_estoy_yo: '.$multiOperario_estoy_yo.'</p>';
	?>
    
    <?php //if( !$producto['Error'] && !$pedirEanDun && !($fichajeEntradas && ) ) { ?>
    <?php if($play) { ?>
    <img id="botonLectura" src="<?php echo DIR_IMAGENES; ?>/botones/play.png" alt="Comenzar lectura" class="icono continuar"/>
    <?php } else { ?>
    <img id="botonLecturaOff" src="<?php echo DIR_IMAGENES; ?>/botones/play-off.png" alt="" class="icono off"/>
    <?php } ?>
    
    <?php if($_SESSION['entrada']['Estado']=='Iniciada') { ?>
    <img id="botonFinalizar" src="<?php echo DIR_IMAGENES; ?>/botones/stop.png" alt="Salir de esta entrada" class="icono"/>
    <?php } else { ?>
    <img id="botonFinalizarOff" src="<?php echo DIR_IMAGENES; ?>/botones/stop-off.png" alt="Salir de esta entrada" class="icono off"/>
    <?php } ?>
    
    <?php if( ($_SESSION['producto'] || $_SESSION['lecturasTotales']) && !$pantallaFotos ) { ?>
    <img id="botonCancelar" src="<?php echo DIR_IMAGENES; ?>/botones/cancelar.png" alt="Cancelar" class="icono" border="0" />
    <?php } ?>
    
    <?php if($_SESSION['parametrosSGA']['EntradasFotos']=='S' && $_SESSION['entrada']['Estado']=='Iniciada') { ?>
		<?php if( ( $_SESSION['entrada']['Estado']=='Iniciada' && !$pantallaFotos ) || $contadorFotosSubidas>0 ) { ?>
        <img id="botonCamara" src="<?php echo DIR_IMAGENES; ?>/botones/camera.png" alt="Tomar fotografías" class="icono"/>
        <?php } else { ?>
        <img id="botonCamaraOff" src="<?php echo DIR_IMAGENES; ?>/botones/camera-off.png" alt="Tomar fotografías" class="icono off"/>
        <?php } ?>
    <?php } ?>
   
    <?php if( $mostrarModoLectura ) { ?>
    	<img id="botonModoLectura" src="<?php echo DIR_IMAGENES; ?>/botones/modo-lectura-entrada.png" alt="" class="icono"/>
    <?php } ?>
    
    <?php if( $mostrarMenuDocumentos ) { ?>
    <img id="verDocumentos" src="<?php echo DIR_IMAGENES; ?>/botones/documentos.png" alt="Documentos asociados" class="icono continuar"/>
    <?php } else { ?>
    <!--<img id="verDocumentosOff" src="<?php echo DIR_IMAGENES; ?>/botones/documentos-off.png" alt="" class="icono off"/>-->
    <?php } ?>
    
    <?php if(!$noMostrarInfo) { ?>
    <img id="botonInfo" src="<?php echo DIR_IMAGENES; ?>/botones/info.png" alt="Ver detalle de la entrada" class="icono"/>
    <?php } else { ?>
    <img id="botonInfoOff" src="<?php echo DIR_IMAGENES; ?>/botones/info-off.png" alt="" class="icono off"/>
    <?php } ?>
    
    <?php if( $_SESSION['entrada']['Estado']=='Iniciada' && $_SESSION['parametrosSGA']['FichajeEntradas']!='S' ) { ?>
    <img id="botonPausar" src="<?php echo DIR_IMAGENES; ?>/botones/pause.png" alt="Pausar y volver al listado" class="icono"/>
    <?php } else { ?>
    <img id="botonVolver" src="<?php echo DIR_IMAGENES; ?>/botones/back.png" alt="Volver al listado" class="icono"/>
    <?php } ?>
    
</div>

<script>

$(document).ready(function() {

	$('#botonCancelar').on('click',function(e){
		confirm('Se van a cancelar todas las lecturas actuales no registradas.')
		.done(function(){
			$('#popupCargando').show();
			<?php if($_SESSION['modoslecturaEntradas'][ $_SESSION['entrada']['NumEntrada'] ]=='L') { ?>
			window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-gs1.php';
			<?php } else { ?>
			window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-gs1-proceso.php?accion=reiniciar';
			<?php } ?>
		});
	});

	$('#botonCamara').on("click",function(e){
	
		if( $('#cantidad').is(':visible') && $('#cantidad').val()!='' ) {
			confirm('Atención: tienes algunas lecturas en pantalla que no han sido enviadas a Proxium.<br>Si accedes a la pantalla de fotografías, perderás esta lectura y deberás volver a realizarla ya que no ha sido enviada a Proxium.','advertencia')
			.done(function(){
				$('#popupCargando').show();
				//window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-gs1-fotos.php';
				//10-10-2022 unificacion pantalla fotos
				window.location='<?php echo $rutaHtml; ?>/fotos.php?proceso=entradas';
			});
		}
		else {
			$('#popupCargando').show();
			//window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-gs1-fotos.php';
			//10-10-2022 unificacion pantalla fotos
			window.location='<?php echo $rutaHtml; ?>/fotos.php?proceso=entradas';
		}
	});

	$('#botonInfo').on("click",function(e){
		$('#popupCargando').show();
		window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-gs1.php?entrada=<?php echo $_SESSION['entrada']['NumEntrada']; ?>&empresa=<?php echo $_SESSION['entrada']['Empresa']; ?>';
	});

	<?php if($_SESSION['entrada']['Estado']=='Iniciada') { ?>
	
	$('#botonFinalizar').on("click",function(e){
		e.preventDefault();
		$('#popupCargando').show();
		$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-mercancia-finalizar.php" )
			.done(function(data) {
				var resultado=data.split('#');
				if(resultado[0]==1) {
					$('#popupCargando').hide();
					alert('Error: '+resultado[1]);
				}
				else window.location='<?php echo $rutaHtml; ?>/entradas-mercancia-gs1.php';	
		});
	});

	<?php } ?>
	
	$('#botonPausar').on("click",function(e){
		e.preventDefault();
		$('#popupCargando').show();
		window.location='<?php echo $rutaHtml; ?>/entradas-mercancia-gs1.php';	
	});
	
	$('#botonVolver').on("click",function(e){
		e.preventDefault();
		$('#popupCargando').show();
		window.location='<?php echo $rutaHtml; ?>/entradas-mercancia-gs1.php';	
	});
	
});

</script>